%global modulename parse-entities

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-parse-entities
Version:        1.2.0
Release:        1%{?dist}
Summary:        Parse HTML character references: fast, spec-compliant, positional information

License:        MIT
URL:            https://github.com/wooorm/parse-entities#readme
Source0:        https://registry.npmjs.org/parse-entities/-/parse-entities-1.2.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(character-entities) >= 1.0.0 with npmlib(character-entities) < 2.0.0))
BuildRequires:  ((npmlib(character-entities-legacy) >= 1.0.0 with npmlib(character-entities-legacy) < 2.0.0))
BuildRequires:  ((npmlib(character-reference-invalid) >= 1.0.0 with npmlib(character-reference-invalid) < 2.0.0))
BuildRequires:  ((npmlib(is-alphanumerical) >= 1.0.0 with npmlib(is-alphanumerical) < 2.0.0))
BuildRequires:  ((npmlib(is-decimal) >= 1.0.0 with npmlib(is-decimal) < 2.0.0))
BuildRequires:  ((npmlib(is-hexadecimal) >= 1.0.0 with npmlib(is-hexadecimal) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Parse HTML character references: fast, spec-compliant, positional information

%package 1.2.0
Summary:        Parse HTML character references: fast, spec-compliant, positional information


%description 1.2.0
Parse HTML character references: fast, spec-compliant, positional information

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr decode-entity.browser.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr decode-entity.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.md
%license license
%{nodejs_dir}/%{modulename}

%files 1.2.0
%doc readme.md
%license license
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 27 2018 npm2srpm <dshea@redhat.com> - 1.2.0-1
- Package automatically generated by npm2srpm
